<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WorkstationsAssociationTasks extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $table = 'workstations_association_tasks';


    public function constructionWorkstation()
    {
        return $this->belongsTo(ConstructionWorkstation::class, 'id_workstations','id_workstations');
    }
    public function elementalTask()
    {
        return $this->belongsTo(ElementalTasks::class,'elemental_tasks_id','elemental_tasks_id');
    }

    public function furtherTask()
    {
        return $this->belongsTo(FurtherTasks::class,'further_tasks_id','further_tasks_id');
    }
}
